:root {
  --background:          #000;
  --background-brighter: #111;
  --text-colour:         #fff;
  --highlight:           #0784b5;
  --highlight-brighter:  #08a2ce;
  --highlight-darker:    #0a5e8c;
}

body,
h1,
p {
  margin: 0;
  padding: 0;
}

body {
  font: 16px/1.5 sans-serif;
  background: var(--background);
  color: var(--text-colour);
  margin-top: 4rem;
}

a {
  color: var(--text-colour);
}

#header {
  display: flex;
  top: 0;
  width: 100%;
  position: fixed;
  align-items: center;
  justify-content: space-around;
  font-size: 1.5rem;
  min-height: 3rem;
  border-bottom: 1px solid var(--highlight);
  background: var(--background);
  box-sizing: border-box;
}

#header > * {
  height: 100%;
}

.active-link,
.inactive-link {
  text-decoration: none;
  height: 100%;
  align-items: center;
  padding: 0.5rem 0.75rem;
  display: flex;
}

.active-link:hover,
.inactive-link:hover {
  text-decoration: none;
  height: 100%;
  background-color: var(--background-brighter);
}

.inactive-link {
  color: var(--text-colour);
}

.active-link {
  color: var(--highlight-brighter);
}

.header-logo {
  width: auto;
  height: 1.8rem;
  margin-right: 0.5rem;
  display: inline;
  vertical-align: middle;
}

.home {
  margin-top: 2%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  font-family: Arial, sans-serif;
}

.big-text {
  font-size: 50px;
  font-weight: bold;
  margin-bottom: 20px;
}

.medium-text {
  font-size: 33.34px;
  font-weight: bold;
  margin-bottom: 30px;
  text-align: center;
}

.small-text {
  font-size: 22.23px;
  margin: auto;
  max-width: 70%;
  padding: 0 20px;
  text-align: center;
}

.spacing {
  margin-top: 2rem;
}

.horizontal-boxes {
  display: flex;
  justify-content: space-around;
  width: 100%;
  margin-top: 40px;
}

.horizontal-box {
  display: inline-block;
  padding: 5px 10px;
  background-color: var(--highlight-darker);
  border-radius: 0.5rem;
  font-size: 1.5rem;
  cursor: pointer;
  transition: background-color 0.3s;
  text-decoration: none;
  color: var(--text-colour);
}

.horizontal-box:first-child,
.horizontal-box:last-child {
  margin: 0 5px;
}

.horizontal-box:hover {
  background-color: var(--highlight);
}

.logo {
  width: auto;
  max-width: 300px;
  height: auto;
  margin-bottom: 20px;
}

.center-button {
  margin-top: 40px;
  text-align: center;
  margin-bottom: 20px;
}

@media (max-width: 768px) {
  .horizontal-boxes {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .horizontal-box {
    width: fit-content;
    font-size: 1rem;
  }
}

.page {
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
  font-family: Arial, sans-serif;
}

.page h1,
.page h2 {
  font-weight: bold;
  margin-bottom: 10px;
}

.page strong {
  font-weight: bold;
}

.page p {
  margin-bottom: 20px;
}

.page ul {
  list-style: none;
  padding: 0;
}

.page li {
  margin-bottom: 10px;
}

.page a {
  color: #007bff;
  background-color: var(--background-brighter)
  text-decoration: none;
}

.page a:hover {
  text-decoration: underline;
}
